require 'rspec'
require 'selenium-webdriver'
require './mattermost_notifier'
require_relative './login_page'

class AbstractPage

    @@driver = nil

    def initialize(driver)
        @@driver = driver
    end

    # this link will indeed take us to the login page no worries
    def navigateToLoginPage
        @@driver.navigate.to "https://www.dottedsign.com/zh-tw/tasks"
        return LoginPage.new(@@driver)
    end

    def navigateToMainPage
        @@driver.navigate.to "https://www.dottedsign.com/zh-tw/tasks"
        return MainPage.new(@@driver)
    end

    def takeScreenshotAndNotify(taskname,status)
        @@driver.save_screenshot(taskname+".png")
        link = @@driver.current_url
        MattermostNotifier.review_message("|"+taskname+"|"+status+"|"+link+"|\n")
        return 0
    end

    def quit
        @@driver.quit
    end
end